Docs
Product Repository APIProduct

Read products

Security groups:Local Product ReadersGlobal Product Readers
GET
/products

Returns a paged list of active products.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

size?integer

Number of products to return per page.

Default10
Formatint32
Range10 <= value <= 1000
cursor?string

Pagination token returned in a previous response. Provide it together with direction to retrieve the next or previous page of results.

Length1 <= length
direction?string

Pagination direction. Use NEXT to move forward or PREV to move backward. Must be provided together with cursor.

Value in"PREV" | "NEXT"
detail?string

Controls how much product data is included: Small returns basic fields, Medium adds customs data, Large returns the full record.

Default"Small"
Value in"Small" | "Medium" | "Large"
embed?array<>

A list of sub-resources that should be fetched.

productIds?array<>

Filter results to products with these IDs.

Itemsitems <= 100
shopIds?array<>

Filter results to products associated with these shops. Pass -1 to return products that are not linked to any shop — this value cannot be combined with real shop IDs.

filterCriteria?string

A URL-encoded JSON array of filter objects. Fields within one object are combined with AND; use operation to chain multiple objects with AND or OR.

Fields per object

FieldMatches againstNotes
keywordsproductName and productDescriptionName has higher relevance weight
productIdproductId
productNameproductNameRequires languageKey
countryOfOrigincountryOfOriginISO 3166-1 alpha-2 code (e.g. DE)
productTagproductTagsRequires languageKey
languageKeyen or de. Required when using productName or productTag
operationAND or OR. Joins this object to the next. Ignored on the last object.

All searches use partial matching"app" matches "apple juice".

Search expression syntax

SyntaxMeaningExample
a ba AND bapple juice — must contain both
a or ba OR bapple or juice — must contain either
a -ba AND NOT bapple -juice — contains apple, not juice
"a b"phrase — words adjacent"apple juice" — apple immediately before juice
"a b"phrase — one word in between"apple juice" — apple, any word, then juice

Performance: Very short search values (e.g. a single character) can cause slow responses or 503 errors.

Example

[
  { "productId": "a-product-id", "operation": "OR" },
  { "languageKey": "de", "productName": "Tast" }
]
lastModifiedDate?string

Return only products created or last modified on this date (ISO 8601, e.g. 2025-08-26).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/products?productIds=123"
{
  "data": {
    "design_patterns_book": [
      {
        "detail": "Small",
        "productId": "design_patterns_book",
        "lastModifiedDate": "2024-10-01",
        "applicationTags": [
          "VAT-RULES"
        ],
        "shopIds": [
          5000
        ],
        "languageAttributes": {
          "en": {
            "productName": "Design Patterns. Elements of Reusable Object-Oriented Software",
            "productDescription": "Capturing a wealth of experience about the design of object-oriented\nsoftware, four top-notch designers present a catalog of simple and\nsuccinct solutions to commonly occurring design problems. Previously\nundocumented, these 23 patterns allow designers to create more flexible,\nelegant, and ultimately reusable designs without having to rediscover the\ndesign solutions themselves.\n\nThe authors begin by describing what patterns are and how they can help you\ndesign object-oriented software. They then go on to systematically name, explain,\nevaluate, and catalog recurring designs in object-oriented systems.\nWith Design Patterns as your guide, you will learn how these important patterns\nfit into the software development process, and how you can leverage them to\nsolve your own design problems most efficiently.\n\nEach pattern describes the circumstances in which it is applicable, when it can\nbe applied in view of other design constraints, and the consequences and\ntrade-offs of using the pattern within a larger design. All patterns are compiled\nfrom real systems and are based on real-world examples. Each pattern also includes\ncode that demonstrates how it may be implemented in object-oriented programming\nlanguages like C++ or Smalltalk.\n",
            "productTags": [
              "Computers",
              "PCs & Laptops"
            ],
            "merchantProductAttributes": {
              "exe_2311212411415421": "merchant attribute"
            }
          }
        },
        "productAssignments": [
          "https://eclear-solutions/assignments/aea4cd6d-6dde-4f3d-8abd-cd4c8f996bed",
          "https://eclear-solutions/assignments/fea4cd6d-7dde-5f3d-9abd-dd4c8f996caf"
        ]
      }
    ]
  },
  "links": {
    "prev": "https://eclear-solutions/prev",
    "next": "https://eclear-solutions/next"
  }
}
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}